<div class="modal-content" style="display: -webkit-inline-box;">
    <div class="modal-header">
        <h4 id="dialog-sizes-name1" class="modal-title pull-left">Gestione Allegati </h4>
    </div>
    <div class="modal-body">
    <div *ngIf="isManageAttachmentsEnabled()">
        <input id="file" multiple="true" type="file" (change)="addFile($event.target.files)">
        <label class="btn btn-sm btn-primary" for="file">Allega Documenti</label>
        <ul>
            
            <li *ngFor="let file of attachments"><hr>{{file.name}} <button type="button" class=" close pull-right"
                    aria-label="Close" (click)="clear(file)">
                    <span aria-hidden="true">&times;</span>
                </button>
            <hr>
            </li>
        </ul>
    </div>
        <div style="width: 100% inline-block">
            <table *ngIf="evaluationId "  id="attachments{{evaluationId}}"   datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover " style="width: 100%">
                <thead>
                  <tr>
                    <!--<th scope="col">Nr. Allegato</th>-->
                    <th scope="col">Allegato</th>
                    <th scope="col">Data Inserimento</th>
                    <th scope="col">Utente</th>
                    <th scope="col"></th>
                  </tr>
                </thead>
            </table>
        </div>
    </div>
    <div class="modal-footer" >
        <div class="col">
                <button (click)="close()" type="button" class="btn btn-sm btn-danger  buttonCancel">Annulla</button>
                <button type="submit"  *ngIf="isManageAttachmentsEnabled()" class="btn btn-sm btn-success  buttonConfirm" [disabled]="!attachments || attachments.length == 0" (click)="uploadFiles()">Conferma</button>
        </div>

       
    </div>
</div>